# encoding: utf-8

import gvsig
from gvsig.libs.formpanel import FormPanel
import os
from javax.swing import ButtonGroup

class Panel(FormPanel):
    def __init__(self):
        FormPanel.__init__(self, os.path.join(os.path.dirname(__file__),"interfaz.xml"))
        # Iniciar combobox con valores
        self.initComboNames(["Valor1", "Valor2"])
        # Agrupar radiobutton
        self.btgOptions = ButtonGroup()
        self.btgOptions.add(self.rdbOption1)
        self.btgOptions.add(self.rdbOption2)
        self.btgOptions.add(self.rdbOption3)
        # Activar geom
        self.initCreateGeom()
        
    def initComboNames(self, values):
        self.cmbName.removeAllItems()
        for i in values:
            self.cmbName.addItem(i)
            
    def initCreateGeom(self):
        if self.chbGeom.isSelected():
            self.txtX.setEnabled(True)
            self.txtY.setEnabled(True)
        else:
            self.txtX.setEnabled(False)
            self.txtY.setEnabled(False)

    def chbGeom_click(self, *args):
        self.initCreateGeom()

    def btnInfo_click(self, *args):
        # Info txt field
        a = self.txtId.getText()
        # Info cmb
        b = self.cmbName.getSelectedItem()
        # Info radiobutton
        elements = self.btgOptions.getElements()
        for e in elements:
            if e.isSelected(): c = e.getText()

        text = a + "," + b + "," + c
        # Info geom
        if self.chbGeom.isSelected():
            x = self.txtX.getText()
            y = self.txtY.getText()
            text += "," + x + "," + y
            
        self.txtInfo.setText(text)
        

def main(*args):

    l = Panel()
    l.showTool("Info")
    pass
